Skip to content
storefronts / Page templates
PUT/api/page-template-entries/{id}

Update Page Template Entry

Updates a page-template entry owned by the authenticated user and returns the updated entry.

Authentication

Requirement
Required
Credential type
session
Scopes
Not specified

Permissions

  • Requires an authenticated storefront session.

Headers

Path Parameters

NameRequiredTypeDetails
idYesNot specified
Description: Identifier for the resource.

Query Parameters

Request Body

Schema: UpdateEntryBody

FieldRequiredTypeDetails
template_idNointeger
Description: Identifier for template.
titleNostring
Description: Display title.
slugNostring
Description: URL-safe slug value.
routeNostring
Description: Text value.
statusNostring
Description: Resource status value.
meta_titleNostring
Description: Display title.
meta_descriptionNostring
Description: Text value.
schema_jsonNostring
Description: Text value.
faq_configNoJSON
Description: JSON object.
valuesNoobject
Description: JSON object.

Response Body

Example 200 response

json
{
  "id": 1,
  "project_id": 1,
  "template_id": 1,
  "title": "Example",
  "slug": "example-slug",
  "route": "string",
  "status": "active",
  "meta_title": "string",
  "meta_description": "string",
  "schema_json": "string",
  "faq_config": {},
  "values": {},
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

400 page_link_invalid400 page_template_required_value_missing400 template_project_mismatch404 page_template_entry_not_found404 page_template_not_found500 page_template_entry_update_failed

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified